using GTANetworkAPI;
using ReallifeGamemode.Server.Entities;
using ReallifeGamemode.Server.Models;

namespace ReallifeGamemode.Server.Util
{
    class FactionHelper
    {
        public static void CheckFactionBankAccounts()
        {
            NAPI.Util.ConsoleOutput("Checking faction bank accounts...");
            using (var dbContext = new DatabaseContext())
            {
                foreach (Faction faction in dbContext.Factions)
                {
                    if (faction.GetBankAccount(dbContext) == null)
                    {
                        NAPI.Util.ConsoleOutput("Adding bank account for faction: " + faction.Name);
                        FactionBankAccount factionBankAccount = new FactionBankAccount()
                        {
                            Balance = 0,
                            Bic = "",
                            Iban = "",
                            FactionId = faction.Id,
                            Active = true
                        };
                        dbContext.FactionBankAccounts.Add(factionBankAccount);
                    }
                }
                dbContext.SaveChanges();
            }
        }
    }
}
